import { combineReducers } from "redux";
import ajaxStatusReducer from "./ajaxStatusReducer";
import systemReducer from "../../features/system/reducer";
import {
  sessionsReducer,
  forwardsReducer
} from "../../features/session/reducers";

const rootReducer = combineReducers({
  system: systemReducer,
  sessions: sessionsReducer,
  forwards: forwardsReducer,
  ajaxCallsInProgress: ajaxStatusReducer
});

export default rootReducer;
